
package org.teleal.cling.support.contentdirectory.descriptor.upnp;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for storageMediumValue.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="storageMediumValue">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="UNKNOWN"/>
 *     &lt;enumeration value="DV"/>
 *     &lt;enumeration value="MINI-DV"/>
 *     &lt;enumeration value="VHS"/>
 *     &lt;enumeration value="W-VHS"/>
 *     &lt;enumeration value="S-VHS"/>
 *     &lt;enumeration value="D-VHS"/>
 *     &lt;enumeration value="VHSC"/>
 *     &lt;enumeration value="VIDEO8"/>
 *     &lt;enumeration value="HI8"/>
 *     &lt;enumeration value="CD-ROM"/>
 *     &lt;enumeration value="CD-DA"/>
 *     &lt;enumeration value="CD-R"/>
 *     &lt;enumeration value="CD-RW"/>
 *     &lt;enumeration value="VIDEO-CD"/>
 *     &lt;enumeration value="SACD"/>
 *     &lt;enumeration value="MD-AUDIO"/>
 *     &lt;enumeration value="MD-PICTURE"/>
 *     &lt;enumeration value="DVD-ROM"/>
 *     &lt;enumeration value="DVD-VIDEO"/>
 *     &lt;enumeration value="DVD-R"/>
 *     &lt;enumeration value="DVD+RW"/>
 *     &lt;enumeration value="DVD-RW"/>
 *     &lt;enumeration value="DVD-RAM"/>
 *     &lt;enumeration value="DVD-AUDIO"/>
 *     &lt;enumeration value="DAT"/>
 *     &lt;enumeration value="LD"/>
 *     &lt;enumeration value="HDD"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "storageMediumValue")
@XmlEnum
public enum StorageMediumValue {

    UNKNOWN("UNKNOWN"),
    DV("DV"),
    @XmlEnumValue("MINI-DV")
    MINI_DV("MINI-DV"),
    VHS("VHS"),
    @XmlEnumValue("W-VHS")
    W_VHS("W-VHS"),
    @XmlEnumValue("S-VHS")
    S_VHS("S-VHS"),
    @XmlEnumValue("D-VHS")
    D_VHS("D-VHS"),
    VHSC("VHSC"),
    @XmlEnumValue("VIDEO8")
    VIDEO_8("VIDEO8"),
    @XmlEnumValue("HI8")
    HI_8("HI8"),
    @XmlEnumValue("CD-ROM")
    CD_ROM("CD-ROM"),
    @XmlEnumValue("CD-DA")
    CD_DA("CD-DA"),
    @XmlEnumValue("CD-R")
    CD_R("CD-R"),
    @XmlEnumValue("CD-RW")
    CD_RW("CD-RW"),
    @XmlEnumValue("VIDEO-CD")
    VIDEO_CD("VIDEO-CD"),
    SACD("SACD"),
    @XmlEnumValue("MD-AUDIO")
    MD_AUDIO("MD-AUDIO"),
    @XmlEnumValue("MD-PICTURE")
    MD_PICTURE("MD-PICTURE"),
    @XmlEnumValue("DVD-ROM")
    DVD_ROM("DVD-ROM"),
    @XmlEnumValue("DVD-VIDEO")
    DVD_VIDEO("DVD-VIDEO"),
    @XmlEnumValue("DVD-R")
    DVD_R("DVD-R"),
    @XmlEnumValue("DVD+RW")
    DVD_PLUS_RW("DVD+RW"),
    @XmlEnumValue("DVD-RW")
    DVD_RW("DVD-RW"),
    @XmlEnumValue("DVD-RAM")
    DVD_RAM("DVD-RAM"),
    @XmlEnumValue("DVD-AUDIO")
    DVD_AUDIO("DVD-AUDIO"),
    DAT("DAT"),
    LD("LD"),
    HDD("HDD");
    private final String value;

    StorageMediumValue(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static StorageMediumValue fromValue(String v) {
        for (StorageMediumValue c: StorageMediumValue.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
